#ifndef ASSOCINTH
#define ASSOCINTH 

/* AssocInt.h -- declarations for key-Integer association

Author:
	K. E. Gorlen
	Computer Systems Laboratory, DCRT
	National Institutes of Health
	Bethesda, MD 20892

Modification History:

*/

#include "LookupKey.h"
#include "Integer.h"

extern Class class_AssocInt;

class AssocInt: public LookupKey {
	Integer avalue;
public:
	AssocInt(const Object& newKey =*nil, int newValue =0);
	AssocInt(fileDescTy&,AssocInt&);
	AssocInt(istream&,AssocInt&);
	virtual void deepenShallowCopy();
	virtual const Class* isA();
	virtual void printOn(ostream& strm);
	virtual void storer(fileDescTy&);
	virtual void storer(ostream&);
	virtual obid value();
	virtual obid value(const Object& newValue);
};

#endif
