#ifndef LINKH
#define LINKH 

/* Link.h -- declarations for singly-linked list element

Author:
	K. E. Gorlen
	Computer Systems Laboratory, DCRT
	National Institutes of Health
	Bethesda, MD 20892

Modification History:

*/

#include "Object.h"

extern Class class_Link;

class LinkedList;

class Link: public Object {
	Link* next;		// pointer to next Link or nil 
	friend LinkedList;
public:
	Link(const Link& nextlink)	{ next = &nextlink; }
	Link()				{ next = (Link*)nil; }
	Link(fileDescTy&,Link&) {}
	Link(istream&,Link&) {}
	~Link();
	Link* nextLink()		{ return next; }
	Link* nextLink(const Link* nextlink)	{ next = nextlink; return next; }
	virtual void deepenShallowCopy();
	virtual const Class* isA();
	virtual obid shallowCopy();		// shouldNotImplement
	virtual void storer(fileDescTy&);
	virtual void storer(ostream&);
};

#endif
